Skip to main content
POST
Create a response

Authorizations

Authorization
string
header
required

Your workspace API key, e.g. sk_sovereign_..., sent as Authorization: Bearer .

Body

application/json
model
string
required
Example:

"Qwen/Qwen3-32B"

input
any
required

The input to respond to — a string or a structured input array.

instructions
string

System-style instructions for the model.

stream
boolean
default:false

Stream the response as server-sent events.

temperature
number
top_p
number
max_output_tokens
integer

Maximum output tokens.

stop
any

Stop sequences.

seed
integer
response_format
object
text
object

Text/format options.

tools
object[]
tool_choice
any
parallel_tool_calls
boolean
reasoning
object

Reasoning options for reasoning-capable models.

reasoning_effort
string
metadata
object
user
string

Response

A response object. Usage is reported as input_tokens / output_tokens.

The response is of type object.